# $Revision: 1.63 $, $Date: 2011/03/27 13:47:39 $
Summary:	GNOME Magnifier
Summary(pl.UTF-8):	Lupa GNOME
Name:		gnome-mag
Version:	0.16.2
Release:	2
License:	GPL
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-mag/0.16/%{name}-%{version}.tar.bz2
# Source0-md5:	0a6323f714df163a49cd7c1c3cac269b
URL:		http://live.gnome.org/GnomeMag
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	at-spi-devel >= 1.24.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.18.0
BuildRequires:	gnome-desktop-devel >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libcolorblind-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-desktop-applet
BuildRequires:	python-gnome-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXfixes-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME magnifier.

%description -l pl.UTF-8
Lupa GNOME.

%package apidocs
Summary:	gnome-mag API documentation
Summary(pl.UTF-8):	Dokumentacja API gnome-mag
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gnome-mag API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gnome-mag.

%package devel
Summary:	gnome-mag headers
Summary(pl.UTF-8):	Pliki nagłówkowe gnome-mag
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.9
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libbonobo-devel >= 2.24.0

%description devel
gnome-mag headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe gnome-mag.

%package static
Summary:	Static gnome-mag library
Summary(pl.UTF-8):	Statyczna biblioteka gnome-mag
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gnome-mag library.

%description static -l pl.UTF-8
Statyczna biblioteka gnome-mag.

%package -n gnome-applet-colorblind
Summary:	Colorblind applet for GNOME panel
Summary(pl.UTF-8):	Aplet colorblind dla panelu GNOME
Group:		X11/Applications/Accessibility
Requires(post,postun):	gtk+2
Requires(post,preun):	GConf2
Requires:	python-gnome-desktop-applet
Requires:	python-gnome-gconf
Requires:	python-gnome-ui
Requires:	python-gnome-vfs
Requires:	python-pygtk-glade

%description -n gnome-applet-colorblind
Controls image filters for colorblind people.

%description -n gnome-applet-colorblind -l pl.UTF-8
Obsługa filtrów obrazu dla osób ze ślepotą kolorów.

%prep
%setup -q

%build
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf} -I m4
%{__autoheader}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	referencedir=%{_gtkdocdir}/%{name}

# no *.la for orbit modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/colorblind/{keybinder,osutils}/*.{la,a}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n gnome-applet-colorblind
%gconf_schema_install colorblind-applet.schemas
%update_icon_cache hicolor

%preun -n gnome-applet-colorblind
%gconf_schema_uninstall colorblind-applet.schemas

%postun -n gnome-applet-colorblind
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/magnifier
%attr(755,root,root) %{_libdir}/libgnome-mag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-mag.so.2
%attr(755,root,root) %{_libdir}/orbit-2.0/GNOME_Magnifier_module.so
%{_mandir}/man1/magnifier.1*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/dbus-1/services/org.freedesktop.gnome.Magnifier.service
%{_datadir}/%{name}
%{_datadir}/idl/%{name}-1.0

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-mag.so
%{_libdir}/libgnome-mag.la
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/gnome-mag-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-mag.a

%files -n gnome-applet-colorblind
%defattr(644,root,root,755)
%dir %{_libdir}/colorblind-applet
%attr(755,root,root) %{_libdir}/colorblind-applet/colorblind-applet
%dir %{py_sitedir}/colorblind
%{py_sitedir}/colorblind/*.py[co]
%dir %{py_sitedir}/colorblind/keybinder
%attr(755,root,root) %{py_sitedir}/colorblind/keybinder/_keybinder.so
%{py_sitedir}/colorblind/keybinder/*.py[co]
%dir %{py_sitedir}/colorblind/osutils
%attr(755,root,root) %{py_sitedir}/colorblind/osutils/_osutils.so
%{py_sitedir}/colorblind/osutils/*.py[co]
%dir %{py_sitedir}/colorblind/ui
%{py_sitedir}/colorblind/ui/*.py[co]
%{_datadir}/colorblind
%{_iconsdir}/hicolor/*/*/*
%{_sysconfdir}/gconf/schemas/colorblind-applet.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mag.spec,v $
Revision 1.63  2011/03/27 13:47:39  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.62  2011/02/04 18:23:49  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.61  2011/01/28 22:31:01  sparky
- BR: dbus-glib-devel

Revision 1.60  2010/09/30 14:48:03  megabajt
- updated to 0.16.2

Revision 1.59  2010/07/09 11:16:37  arekm
- release 2

Revision 1.58  2010/05/09 10:33:13  megabajt
- updated to 0.16.1
- removed -use-pyexecdir.patch (applied upstream)

Revision 1.57  2009/11/25 01:45:32  sparky
- BR: doxygen, gettext-devel, rpm-pythonprov

Revision 1.56  2009/07/02 20:37:56  megabajt
- updated to 0.15.7

Revision 1.55  2009/03/13 23:08:33  megabajt
- use X11/Applications/Accessibility group for colorblind applet too

Revision 1.54  2009/03/13 23:03:08  megabajt
- use X11/Applications/Accessibility group

Revision 1.53  2009/03/13 15:23:27  megabajt
- updated to 0.15.5

Revision 1.52  2008/10/04 14:11:22  megabajt
- release 2

Revision 1.51  2008/09/28 11:51:52  megabajt
- updated to 0.15.4
- added gnome-applet-colorblind subpackage
- added -use-pyexecdir.patch

Revision 1.50  2008/04/11 19:25:02  sls
- ver. 0.15.0
- BR: GConf2-devel

Revision 1.49  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.48  2007/10/11 22:43:51  sls
- BR: xorg-lib-libXcomposite-devel

Revision 1.47  2007/09/17 15:37:30  megabajt
- updated to 0.14.10

Revision 1.46  2007/09/10 19:16:05  megabajt
- updated to 0.14.9

Revision 1.45  2007/09/02 17:15:50  aflinta
- up to 0.14.8

Revision 1.44  2007/05/24 20:40:47  megabajt
- updated to 0.14.4

Revision 1.43  2007/03/10 16:04:33  megabajt
- updated to 0.14.3

Revision 1.42  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.40  2007/01/13 14:54:48  megabajt
- updated to 0.14.1
- added apidocs subpackage

Revision 1.39  2006/12/23 23:53:07  megabajt
- up to 0.14.0

Revision 1.38  2006/10/05 22:09:06  grzegol
- package tk, ug lang files (languages added in glibc-2.5)

Revision 1.37  2006/08/26 12:25:58  grzegol
- 0.13.1

Revision 1.36  2006/05/26 23:56:21  qboosh
- merged deps update from AC-branch

Revision 1.34.2.2  2006/05/18 21:52:50  baggins
- release 2
- strict reqs

Revision 1.34.2.1  2006/05/15 16:21:57  baggins
- merged from HEAD

Revision 1.35  2006/03/13 18:15:17  freetz
- 0.12.4, install apidocs to _gtkdocdir

Revision 1.34  2005/10/08 12:41:35  freetz
- 0.12.2

Revision 1.33  2005/09/06 23:26:29  aflinta
- 0.12.1

Revision 1.32  2005/04/06 08:18:17  paladine
- removed redundant R:

Revision 1.31  2005/03/13 00:11:04  aflinta
- up to version 0.12.0

Revision 1.30  2005/02/04 18:10:28  grzegol
- updated to 0.11.14

Revision 1.29  2005/01/20 18:06:31  paladine
- updated to 0.11.13 (bugfix release), STBR

Revision 1.28  2005/01/18 10:44:08  paladine
- updated to 0.11.12, STBR

Revision 1.27  2004/12/08 10:25:00  paladine
- updated to 0.11.11 STBR

Revision 1.26  2004/11/05 21:18:21  paladine
- updated to 0.11.10

Revision 1.25  2004/11/02 20:55:50  paladine
- updated to 0.11.9

Revision 1.24  2004/10/07 17:21:47  grzegol
- updated to 0.11.8

Revision 1.23  2004/09/17 13:40:59  grzegol
- updated to 0.11.7

Revision 1.22  2004/09/15 18:04:05  grzegol
- updated to 0.11.6

Revision 1.21  2004/09/15 16:54:08  grzegol
- merged 0.11.5 from DEVEL

Revision 1.20.2.4  2004/08/30 18:36:37  grzegol
- updated to 0.11.5
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.20.2.3  2004/08/17 17:40:45  aflinta
- up to version 0.11.4

Revision 1.20.2.2  2004/07/30 20:20:09  grzegol
- updated to 0.11.3

Revision 1.20.2.1  2004/07/01 13:14:54  grzegol
- updated to 0.11.2

Revision 1.20  2004/04/19 17:26:34  grzegol
- updated to 0.10.11

Revision 1.19  2004/03/23 12:09:32  grzegol
- updated to 0.10.10

Revision 1.18  2004/03/15 17:56:11  grzegol
- updated to 0.10.9

Revision 1.17  2004/03/09 00:16:45  grzegol
- added static subpackage

Revision 1.16  2004/03/08 20:11:00  aflinta
- up to version 0.10.8

Revision 1.15  2004/02/24 22:42:10  grzegol
- added locale-names patch (changes locale no -> nb)
- strict internal deps

Revision 1.14  2004/02/24 21:54:22  aflinta
- up to version 0.10.7

Revision 1.13  2004/02/10 14:44:39  grzegol
- updated to 0.10.6

Revision 1.12  2004/01/12 18:17:53  grzegol
- updated to 0.10.5

Revision 1.11  2003/12/09 19:20:36  grzegol
- updated to 0.10.4
- added Requires to -devel

Revision 1.10  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.9  2003/09/08 20:01:18  grzegol
- updated to 0.10.3

Revision 1.8  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.7  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.6  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:48:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/12 13:29:23  qboosh
- removed SONAME symlink (created by ldconfig)

Revision 1.3  2003/04/29 20:49:11  aflinta
- version 0.10.2

Revision 1.2  2003/03/29 19:23:48  qboosh
- cosmetics

Revision 1.1  2003/03/27 17:28:14  aflinta
- PLD initial release
